<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragment/fragment.html :: head(title='POECAHONTAS - Acceuil')">
</head>
<body>
	<div th:insert="fragment/fragment.html :: header"></div>
	
	<main class="index">
	<nav th:replace="fragment/fragment.html :: nav"></nav>
		<div th:switch="${customers}">
			<h2 th:case="null">Pas de client!</h2>
			<div th:case="*">
				<table class="tableau">
					<caption class="tableau__enTete">
						<span class="fa-solid fa-user"></span> Liste des clients :
					</caption>
					<tr>
						<th class="tableau__cellule">Prénom</th>
						<th class="tableau__cellule">NOM</th>
						<th class="tableau__cellule">Entreprise</th>
						<th class="tableau__cellule">Email</th>
						<th class="tableau__cellule">Téléphone</th>
						<th class="tableau__cellule">mobile</th>
						<th class="tableau__cellule">Notes</th>
						<th class="tableau__cellule">LEAD / CLIENT</th>
						<th class="tableau__cellule">Modifier</th>
						<th class="tableau__cellule">Action</th>
					</tr>
					<tr th:each="customer : ${customers}">
						<td th:text="${customer.firstname}" class="tableau__cellule"></td>
						<td th:text="${customer.lastname}" class="tableau__cellule"></td>
						<td th:text="${customer.company}" class="tableau__cellule"></td>
						<td th:text="${customer.mail}" class="tableau__cellule"></td>
						<td th:text="${customer.phone}" class="tableau__cellule"></td>
						<td th:text="${customer.mobile}" class="tableau__cellule"></td>
						<td th:text="${customer.notes}" class="tableau__cellule"></td>
						<td th:text="${customer.active ? 'Client' : 'prospect'}" class="tableau__cellule"></td>
						<td class="tableau__cellule"><a th:if="${#ctx.session.role == 'ROLE_ADMIN' || #ctx.session.role == 'ROLE_USER'}"
							th:href="@{/updateCustomer/{id}(id=${customer.id})}"
							class="btn btn-primary"><span class="fa-solid fa-pen"></span></a></td>
						<td class="tableau__cellule"><a th:if="${#ctx.session.role == 'ROLE_ADMIN' || #ctx.session.role == 'ROLE_USER'}"
							th:href="@{/customers/delete/{id}(id=${customer.id})}"
							class="btn btn-primary"><span class="fa-regular fa-circle-xmark"></span></a></td>
					</tr>
				</table>
			</div>
		</div>
		<aside class="aside">
			<img class="aside__logo" src="/asset/images/crm_poecahontas.jpg"
				alt="poecahontas" title="poecahontas" />
			<div class="aside__fonction">
			
				<section id="section" class="aside__section">
					<h2 class="titre">Action</h2>
					<a th:if="${#ctx.session.role == 'ROLE_ADMIN' || #ctx.session.role == 'ROLE_USER'}" th:href="@{/createCustomer}" class="action bouton action__bouton">
						<span class="fa-solid fa-plus"></span>  Client</a>
				</section>
			</div>
		</aside>
	</main>
	<script src="/asset/script/time.js"></script>
</body>
</html>